> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Note Versions

> Return minimal data required for NoteSummary for each note version.

NoteSummary requires: id, patient_names, provider_names, version, created_date.
We avoid loading heavy relationships and select only the columns needed.



## OpenAPI

````yaml get /notes/{parent_note_id}/revisions
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /notes/{parent_note_id}/revisions:
    get:
      tags:
        - provider
        - scribe
        - note
      summary: Get Note Versions
      description: >-
        Return minimal data required for NoteSummary for each note version.


        NoteSummary requires: id, patient_names, provider_names, version,
        created_date.

        We avoid loading heavy relationships and select only the columns needed.
      operationId: get_note_versions_notes__parent_note_id__revisions_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: parent_note_id
          in: path
          required: true
          schema:
            type: string
            title: Parent Note Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/NoteSummary'
                title: >-
                  Response Get Note Versions Notes  Parent Note Id  Revisions
                  Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    NoteSummary:
      properties:
        id:
          type: string
          title: Id
        patientNames:
          items:
            type: string
          type: array
          title: Patientnames
          default: []
        providerNames:
          items:
            type: string
          type: array
          title: Providernames
          default: []
        version:
          type: integer
          title: Version
        createdDate:
          type: string
          format: date-time
          title: Createddate
        signedOffProviderId:
          anyOf:
            - type: string
            - type: 'null'
          title: Signedoffproviderid
        signedOffDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Signedoffdate
      type: object
      required:
        - id
        - version
        - createdDate
      title: NoteSummary
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````